iOpus STARR
Top Next

iOpus STARRTM is the award-winning, highly flexible, all-round desktop security monitoring solution used by concerned parents, small businesses, and "Fortune 500" companies alike. STARR is also popular for many special tasks like usability testing or scientific studies of PC usage.

STARR is the most powerful monitoring software available today. It has many unique features are not found in any other monitoring software

· Most powerful keyboard logger - so powerful, it even logs the keystrokes typed during Win 2K/XP login. You do not miss any keyboard activity.

· Everything (even the screenshots!) is stored in one log file. All data is encrypted using the strong U.S. government approved 256-bit AES/Rijndael encryption. Your sensitive activity data is secure against unauthorized access and use. Easy archiving to satisfy legal requirements.

· STARR "kernel-level" file protection (SFP): Files are completely inaccessible, not just hidden! STARR files do not appear in any file manager and can not be manipulated (or removed) by any Wndows application.

Effective security on computers can save a computer user thousands of dollars every year - this stealth-monitoring utility provides the PC's equivalent of the security camera (and much more), increasing production dramatically, whilst causing no disruption to working practices or draining network resources.

STARR is available in a HOME Edition and in the full-featured PRO Edition. The HOME edition is designed for the use on a stand-alone PC, e. g. for parental control or for recording your own work for later reference. The PRO Edition contains all the features of the HOME Edition plus the network functions you need to send and receive reports via the Internet or the corporate LAN as well as advanced setup and reporting functions. This manual covers both, the HOME and the PRO Edition.


Getting Started
Previous Top Next

Getting started is easy:

1. Install the software and enter your activation key. If you want, you can delete the "iopus-starr-setup.exe" file now. It is no longer needed

2. Reboot your computer

3. Done! The STARR logging engine is running in the background and monitoring all activities.

To view the recorded activities and/or change settings start STARR Commander.


Installation

Installing STARR is easy: Simply double-click the provided installer file (e. g. "iopus-starr-setup.exe") and STARR will install itself automatically.

You will be prompted if you want a secure installations (recommend if you install STARR on a system that you want to monitor) or a standard installation (recommend if you install STARR to view reports only).

You can change the different display and security settings at any time after the installation.


Standard Installation

The standard installation installs STARR just like any other windows software:

· Shortcuts to STARR Commander and Help are created in the Programs section
· All files visible
· The logging engine is visible (and thus can be stopped!) in the Process Viewer


Secure Installation

If you choose the Secure Installation, the following settings are used:

· NO Shortcuts to STARR Commander and Help are created in the Programs section
· NO files visible after reboot (STARR File Protection)
· The logging engine process is NOT visible (and thus can NOT be stopped!) in the Process Viewer
· You are prompted to enter a password for STARR Commander and the log file. All log files are encrypted with 256 bit AES encryption.

Good Monitoring software must run uninterrupted, regardless of what happens on the monitored machine. With the new STARR File Protection STARR offers the most advanced security feature found in any monitoring software. All STARR files are not only hidden somewhere on the system (like with all other monitoring software) but they are made truly invisible for any Windows program. Even booting in Safe Mode (F8) does NOT display the hidden files.


Remote Network Installation

STARR Professional contains support for deployment and use on Local Area Networks (LAN).

Deployment over a local network is easy, just follow these two steps:

1.Prepare a "starr.ini" file

The "starr.ini" file is an encrypted text file that contains all logging engine settings. It is created by STARR Commander for the logging engine. To create the file, start STARR Commander on ONE system, and define which settings you want. For example, you probably want to select the "Network/LAN" option and enter a the (network) path to the "Administrator PC" where STARR should send the logs. You can designate any PC in the network as "Administrator PC".
With this network option. STARR sends the raw log file or the ready-to-use reports over the LAN to the Administrator PC. You can test your settings with the "TEST" button on the Network settings popup.

Note:
If you have a peer-to-peer network without a server STARR will work equally well. The only requirement is a single shared folder that all machines have "Full Access" to. On the Network settings tab, you can also enter a USER NAME / PASSWORD for access to this folder. This allows you to restrict access to the report folder to only one special user name and deny access to this folder for all general users.

In addition to using access restriction for the report folder, you can also create a shared folder that other workstations cannot see. To do this, append a "$" character to the folder's share name (i.e. "STARR$"). This folder should be on the server but it can be on any machine on the network. The network transport protocol is unimportant. STARR clears old records on the CLIENT PC automatically and needs no maintenance.

By using a shared folder the STARR reports (and the STARR log file) are always available to the Administrator - even if the source machine has been shut down.

2. STARR Deployment

Deploying STARR in a network is done by cloning the settings of a SOURCE machine. Since STARR is written as a very compact software only a few files are needed. The installation is transparent and can be easily automated. The source machine can be any PC on the networking running STARR, including this PC.

Remote Deployment for Networks is available to all users with a multi-user or site-license.

Typically there are 3 ways to deploy STARR:

Option 1: Network install

Copy all logging engine files to the appropriate SYSTEM folders on the CLIENT PC. Typically this C:\WINDOWS\SYSTEM32 on a Win 2000/XP/2003 system or C:\WINDOWS\SYSTEM on the older Win 98/ME systems and start "wskrnla.exe".
Directly after the first start the logging engine ("wskrnla.exe"(completes the setup abd the "starr.ini" file is automatically deleted. Reboot to activate the STARR File Protection and the Process Protection.

Option 2: Use Login Script
This is the best option for large networks and where file sharing is not practical. Your login scripts needs to copy all logging engine files to the target machine and start the logging engine. After it is started, the logging engine invisibly completes the setup and deletes the "starr.ini" file automatically.

Option 3: Manuall installation using a "Clone" disk or network path.

This is the most simple option and can be used where option 1 and 2 are not practical: Simply copy all logging engine files in the appropriate folder on the target machine and start the logging engine once. After it is started, the logging engine invisibly completes the setup and deletes the "starr.ini" file automatically.

Notes to Network Administrators

1. The table the complete list of all necessary files can be found here .

2. When you need to update the settings, create a new "starr.ini" file and copy to the client PCs. The logging engine automatically picks it up, reads the settings and deletes it at the next start up. To switch off a running logging engine, create a starr.ini file with the setting "Autostart=0" and copy it to the same directory as "wskrnla.exe". The logging engine reads this file after the next reboot and stops itself from running at the following PC start.

3. Make sure that the network (or local) directory exists and has full access rights (read and write) for all users! If a directory does not exists, STARR will ask you to create it when you press the "TEST" button on the LAN options page.

4. There is no limit to the size or type of network that STARR is installed on, and there are no requirements for any particular transport protocols. STARR is currently running on small peer-to-peer office networks and multi-server networks with 100+ machines, with mixed operating systems including Windows /98/Me/2000/XP/2003 and Novell.

5. The number of Client PC installations ("logging engine") allowed on your network is embedded in your license key. Installation of the STARR Commander are unlimited

6. If the connection to the network folder is lost at any point, STARR will save all information locally and resends it once the network connection is established again. This is especially important for a laptop that may be disconnected for long periods.

7. To make sure you have the correct path, we recommend that you use the "Browse" button on the LAN options page. There must be a slash "\" at the end of the directory path. If you forget it, STARR will add it for you.

8. Share Name Hint: You can setup an "invisible share" by proceeding you share name with a dollar sign ($). An invisible share is not shown in the list of shares on your computer, but can still be accessed by the share name (example: \\my-computer\shared$ where "my-computer" is the name of your computer on the network an "shared$" is the name of your hidden share).


List of Files

Here is a complete list of all necessary STARR Files.

Important: To locate these files on your system, you MUST switch off the "STARR File Protection" (SFP) feature. The SFP hides and protects these files from ALL users (including Administrators) and all Programs (including all file explorer programs and system scanning programs!). If you installed STARR in the secure mode, SFP is enabled by default.

STARR System Files:

1. wskrnla.exe <= Logging Engine, click this file to start the Engine manually
2. wskrnlab.sys
3. wskrnlab.vxd
4. wskrnlac.dll
5. wskrnlac.sys
6. wskrnlac.vxd
7. wskrnlad.dll
8. wskrnlae.dll
9. wskrnlb.dll
10. wskrnlb.exe
11. wskrnlba.dll
12. starr.ini <= Logging Engine settings, 256 Bit AES Encrypted

All "wskrnl.." files can be found in your Windows system directory and the driver directory.
On Windows 200/XP the system directory is typically c:\Windows\System32" or c:\WinNT\System32".

On Win 9x systems the "c:\Windows\System" directory is used instead of "c:\Windows\Sytem32".

The "starr.ini" file contains the logging engine settings and is typically located in folder "C:\Documents and Settings\\Application Data\WskrnlData".

Note: Since this is a system directory, it is "hidden" by default. In most file managers (e.g. the Microsoft Windows Explorer) you need to enable the "display hidden / system files" option (or similar function) in order to see this directory. In the MS Explorer this option is located at View > Folder Options > View Tab > Go to the "Hidden Files" option and select "Show all". This "hidden" feature is part of Windows itself, it provides only a very weak security. It should not be confused with the powerful STARR File Protection (SFP), which operates completely independent of the Windows "hidden" function. If you activated SFP, you need to open STARR Commander at the same time as you look for this folder, otherwise it is not visible.

NO installation required:

The logging engine can install itself on the system, without any installation program. For more details, please see the Remote Network Installation.


Uninstallation

Uninstallating STARR is easy.

STARR can only be uninstalled via STARR Commander:

1. Open STARR Commander
2. Select MAIN MENU > GOTO > UNINSTALL
3. Done!

The uninstallation takes less than 5 seconds and completely removes all files.

For security reasons and to avoid tampering with the monitoring software, the software is NOT listed in the standard Windows "Add or Remove Software Panel".


STARR Commander

If you installed STARR in the "normal" installation mode, you can start STARR simply via START > ALL PROGRAMS > STARR

In the "secure" installation mode, there is no menu entry. You start STARR by typing "starrcmd5" in the RUN menu:

starrcmd run menu2


Info Screen

Dashboard

The dashboard display the current status of the logging engine on this system.

"OK - Logging engine was running" - Everything OK, the logging engine was running before you openend STARR Commander.

"OK - Logging engine was not running" - Everything OK, but the logging engine was NOT running. If this is what you expected, everything is ok.

"Installation not complete" + Error message - The STARR self test found a problem!


Report Screen

On the REPORT screen you can create the activity reports:

1. Select the raw log file. Note that by default for each user and each system are separate log file is created.
2. Select which kind of activity report you want to create
3. Click "Generate Report"


HTML-ALL, with screenshots

This report contains all information in chronological order. When you create this report, the screenshot information is extracted from the log file. You can view the screenshots inside the report or separately as a slide show.


HTML-ALL

This report contains all information in chronological order. Only text information is used, no screenshots,


HTML- Chat & IM

A text based report that contains transscripts of all chat and IM sessions that took place on the system.

Currently STARR supports the following software:

· MSN Messenger
· Yahoo Messenger
· AOL Instant Messenger (AIM)
· ICQ


HTML- Keystrokes

A special report that contains all keystrokes typed on the keyboard. Unlike other software that claims to log all keystrokes and still misses important event, the STARR keyboard monitor is so powerful, it logs events in DOS boxes and even the keystrokes typed during login.


TABLE-ALL

All activities in table form.This format can be easily imported to Excel or any other spreadsheet program for further processing.


Settings Screen

View and change the STARR settings on these screens. All changes are stored automatically when you exit STARR Commander.


Monitoring

Select the activities you want to monitor.


Keyboard Monitoring

STARR contains the most powerful keyboard monitor. Only with this software you can be sure that you do not miss important keyboard information.

The keyboard monitor logs:

· Keystrokes typed in any windows application

· Keystrokes typed in DOS boxes

dos

· Keystrokes typed during Windows Login (even on Win 2000/XP) [PRO Edition only]

keyboard-login


Security

Enable the powerful STARR security features here.


STARR Process Protection

STARR Process Protection (SPP)
Previous Top Next

The STARR process protection (SPP) prevents the STARR logging engine process from being listed in the "Processes" tab of the Windows Task manager. This prevents tampering of the software.

Note: The process protection is active when the software is automatically started after a user login. It is not active when the logging engine is started via STARR Commander.

Example screenshot of SPP in use


STARR File Protection (SPF)

STARR File Protection (SPF) is a powerful security feature only available in the STARR monitoring software (all Editions).

SFP makes all STARR files and the activity logs completely invisible and inaccessible, not just hidden. The SFP protected files do not appear in any file manager and can not be manipulated (or removed) by any Wndows application.

Example screenshots of SFP in use:

How do I make the SPF protected files visible?

1. Open STARR Commander. The files become visible while STARR Commander is open. Once STARR Commander is closed, the files become invisible again
2. You can also permanently disable this feature in STARR Commander > Settings > Security tab


Email/LAN

Email/LAN [PRO Edition only]
Previous Top Next

STARR Professional can deliver the reports straight to your doorstep, i.e. your email box, using any standard SMTP / POP Internet email account or to your administration PC directly over you Local Area Network (LAN).

The following steps are valid for both, Email and LAN based reporting:

1. Open the LAN/Email settings panel

2. Under "What to send" select the report type that you want use. If you want to include screenshots with your report. If you include screenshots in your report, the report file is automatically zip compressed. This reduces its size for more than 90%.You can use any standard ZIP utility to unzip the log file again once received.

3. Under "When to send" select a time interval or a size limit.


Network (LAN)

Network (LAN) [PRO Edition only]
Previous Top Next

The logging engine can send either the raw log file (*.sxx) or the ready-to-use reports from the client PC directly to any designated PC on your network. We will call this receiving PC "admin PC".

1 - 3: See here

4. Select "Send via network"

5. Click the "LAN Settings" button => a popup opens

6. On this popup, enter the path to the directory on your admin PC in UNC notation or simply use the BROWSE button to locate the directory.

7. If the directory is password protected, enter user name and password. Leave empty if not password protected.

8. TEST: Click on "TEST: Send Report..." to test your settings.

9. Done!


Email

Email [PRO Edition only]
Previous Top Next

1 - 3: See here

4. Select "Send via Email"

5. Click "Email Settings" => a popup opens

6. Enter is your email address (This is all you have to do!). If you want to send the report to multiplie recipients separate the email address by comma (Example: aaa@bbb.com , ccc@ddd.org).

7. Click "TEST: Send Email" to verify your settings. This will send a report to your address instantly.

By default STARR uses built-in email settings which uses an iOpus email account to send the files.

But you can also use your own email account to send the email. If you aren't sure of your email settings, look in the setup of your email client program (like Eudora or Outlook) or ask your system administrator. The STARR email setup dialog uses the same descriptions as Outlook Express.

Note: If you need full control over the STARR email process we recommend that you use your own email account. iOpus reserves the right to modify or cancel this "built-in" email account at anytime without notice. For your convenience, iOpus maintains a list of the free SMTP / POP3 email account service providers at http://www.iopus.com/guides/bestpopsmtp.htm .

STARR is designed to work with any standard SMTP accounts If you are using the "built-in email" option you do not have to enter these settings.


Select Accounts to monitor

Select Accounts to monitor [PRO Edition only]
Previous Top Next

Sometimes you need to monitor only specific user accounts or for example, all standard user user accounts and not the administrator account. You can select the monitored accounts on this page.

To selects accounts, you have two options: Either select all accounts to monitor or set STARR to monitor ALL accounts except the ones listed.


Expert

Expert [PRO Edition only]
Previous Top Next

Power Users and System Administrators can fine tune several STARR properties directly in the "starr.ini" file.

We highly recommend to change only properties that are documented in this section. The default values are shown in parenthesis.


Folder and Paths

Folder and Paths

FolderReports=<DATA> | Folder of generated Reports
FolderLogs=<DATA> | Folder to store log files
NameLogs=#<USER>#<PC>#.sxx | Name of Log file and Report
SendFilePrefix=No[<COUNTER>]- | Added to report or log file when send by Email/Lan
FolderLAN=\\Admin-PC\StarrReports\ | Folder to send reports via network
LANUser= | Shared Folder user name (if password protected)
LANPwd= | Shared Folder user name (if any)

The following place holders can be used for path names:

<DATA> Path to default data location on system, e. g.
<SYS> Path to Windows System Directory
<WIN> Path to Windows Directory

Using these tags makes the "starr.ini" file portable from one system to the next, even if the Windows installations are not identical.

The following tags can be used for FILE names and for the Email subject line:

<COUNTER> Counts the number of reports created (e. g. 1, 2, 3,..)
<USER> Name of the currently logged in user
<PC> Name of the system STARR is running on.
<DATE> Current date (e. g. "2003-11-30")
<TIME> Current time (e. g. "15:59")


Monitoring

Settings

BannerText=This account<CR><BR>is monitored. | Text of notification banner
BannerShow=0 | Display notification banner
BannerFrequency=60 | Display banner ever X seconds
LogWebsites=1 | Record Internet access via web browser
LogKeystrokes=1 | Record keyboard
LogApplicationPath=1 | Record path of used app (e.g. "c\windows\notepad.exe")
LogApplication=1 | Record title of used app (e. g. "Notepad")
LogChat=1 | Record Chat/IM
LogAol=1 | AOL specific logging for parental control
LogSTARR=1 | Record STARR status (useful for trouble-shooting)
KeyboardMonitorMode=1 | 1=Automatic, 2=Direct only, 3=Windows only
MonitorScreenCapture=1 | Take screen capture snapshots
ScreenCaptureIntervall=60 | Take snapshots every X seconds
ScreenCaptureMode=2 | Quality of screenshots: 1 = Black & White, 2 = Gray, 3 = Full color. Black & White screenshots are up to 90% smaller than full color screenshots.


Security

Settings

LogfileMaxsizeMB=20 | Maximum size of log file. This is size is reached, older information is overwritten ("first in, first out"). This is just like an endless tape for a surveillance camera and runs completey maintenance free.
PwdLog=weE3rE23xXCVB | Password for STARR Commander AND the encrypted STARR log file. Please note that the password (like all other STARR settings) is stored encrypted. It is only visible inside the EXPERT settings in STARR Commander.
HideProcess=1 | Hide process in Windows Task list
ActivateFileProtection=1 | Use the STARR File Protection => all STARR files are hidden and can not be deleted. SFP runs even when booting in safe mode.
DeleteMRUEntriesAfterReboot=1 | Delete RUN menu entries after reboot
DeleteMRUEntriesInstantly=1 | Delete RUN menu entries instantly
TestURL1=http://www.iopusemail.com | URL used for test if PC is online. You can enter any URL of a reliable web server
TestURL2=http://www.iopus.com | URL used for test if PC is online. You can enter any URL of a reliable web server here. This URL is used, if URL1 can not be reached.


Buy Now
Previous Top

Purchasing STARR is easy and secure:

You can choose any payment method (credit card, check, money order, purchase order (PO), wire transfer, cash) in our online store:

The payment method is selected on the second page of the online order form. If you select a payment method other than credit card, all necessary payment details are displayed on the last page of the order process.

Click here to go to our online store and buy now.